petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCHYPRESetBetaPoissonMatrix

Set Poisson matrix

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHYPRESetBetaPoissonMatrix(PC pc, Mat A)

Collective on PC

### Input Parameters

| pc | - the preconditioning context
| A | - the matrix

Notes: A should be obtained by discretizing the Poisson problem with linear finite elements. Following HYPRE convention, the scalar Poisson solver of AMS can be turned off by passing NULL.

### See Also

Level:intermediate
Location:src/ksp/pc/impls/hypre/hypre.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages